Bug 1322392 - Don't enable the remote execution plugin on the proxy by default when on RHEL 6
Summary: Don't enable the remote execution plugin on the proxy by default when on RHEL 6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Remote Execution
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: Stephen Benjamin
QA Contact: Kedar Bidarkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-30 12:19 UTC by Ivan Necas
Modified: 2019-09-26 14:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:29:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC

Description Ivan Necas 2016-03-30 12:19:55 UTC
Description of problem:
Due to remote execution plugin on the proxy not supported on RHEL6 right now,
(see https://bugzilla.redhat.com/show_bug.cgi?id=1322360) we should not enable it by default on RHEL 6 systems.

Otherwise the installer will fail on the packages not being available.

Comment 4 Kedar Bidarkar 2016-04-22 11:42:42 UTC
Remote execution plugin on the proxy is not enabled by default when on RHEL6.

VERIFIED With sat62-snap9.0

 ~]# foreman-installer --help | grep -i remote
    --[no-]enable-foreman-plugin-remote-execution Enable 'foreman_plugin_remote_execution' puppet module (default: false)
    --[no-]enable-foreman-proxy-plugin-remote-execution-ssh Enable 'foreman_proxy_plugin_remote_execution_ssh' puppet module (default: false)

Comment 6 errata-xmlrpc 2016-07-27 09:29:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.